from selenium import webdriver
import time
import datetime
import os
import csv

if __name__ == "__main__":

    while True:
        url = "https://www.ncm.ae/en#!/stWSpeed/22"
        data_path = 'data'

        #customizzare con il proprio percorso di phantomjs oppure aggiungere phantomjs alle variabili d'ambiente
        driver = webdriver.PhantomJS()
        driver.get(url)

        #tempo di attesa per permettere che tutti i contenuti della pagina siano correttamente caricati
        time.sleep(5)

        direction = driver.find_element_by_xpath("//*[@id='mapDataOutlook']/div[2]/div[13]/div[2]").get_attribute('innerHTML')
        speed = driver.find_element_by_xpath("//*[@id='mapDataOutlook']/div[2]/div[14]/div").get_attribute('innerHTML')
        driver.quit()

        if not os.path.exists(data_path):
            os.mkdir(data_path)

        currentDT = datetime.datetime.now()
        filename = str(currentDT.day) + '_' + str(currentDT.month) + '_' + str(currentDT.year) + '_' +\
                   str(currentDT.hour) + '_' + str(currentDT.minute) + '.csv'

        with open(data_path + '/' + filename, 'w') as csvfile:
            filewriter = csv.writer(csvfile, delimiter=',',
                                quotechar='|', quoting=csv.QUOTE_MINIMAL)
            filewriter.writerow([direction, speed])
        print(filename + " saved")

        #tempo di attesa tra un salvataggio e l'altro
        time.sleep(60)
